SET(HDRS
	${HDRS}
	${CMAKE_CURRENT_SOURCE_DIR}/ConsoleLogger.h
	${CMAKE_CURRENT_SOURCE_DIR}/Logger.h
	${CMAKE_CURRENT_SOURCE_DIR}/logging.h
	${CMAKE_CURRENT_SOURCE_DIR}/LogManager.h
	${CMAKE_CURRENT_SOURCE_DIR}/LogManagerImplementation.h
	${CMAKE_CURRENT_SOURCE_DIR}/LogMessage.h
	PARENT_SCOPE
)

SET(SRCS
	${SRCS}
	${CMAKE_CURRENT_SOURCE_DIR}/ConsoleLogger.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/Logger.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/LogManager.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/LogManagerImplementation.cpp
	PARENT_SCOPE
)

set(LIB_INCLUDE_PATH
	${LIB_INCLUDE_PATH}
	${CMAKE_CURRENT_SOURCE_DIR}
	PARENT_SCOPE
)
